#!/bin/bash
### Curbywall for IPFW - Uninstallation Script
### by Michael 'Curby' Lee
### v2-beta6, 2010-1216



# ==============================================================================
# Configuration
# ==============================================================================

CWROOT="/usr/local/curbywall"



# ==============================================================================
# Sanity Checks
# ==============================================================================

# Check permissions
if [[ "$UID" != "0" ]]; then
  echo "No root privileges detected.  Attempting \`sudo $0\`..."
  echo
  sudo $0
  exit
fi

# Check for existing version
if [[ -e "$CWROOT/install.log" ]]; then
  echo "Old version found.  Uninstalling... "
else
  echo "No existing installation found!"
  exit 3
fi



# ==============================================================================
# Uninstall old version
# ==============================================================================

while IFS= read -r file; do
  if [[ -d "$file" ]]; then
    rmdir "$file"
    if [[ "$?" != "0" && "$CWROOT" == "$file" ]]; then
      echo "Files may have been added after installation.  These have not been deleted."
    fi
  elif [[ -h "$file" || -e "$file" ]]; then
    rm "$file"
  fi
done < "$CWROOT/install.log"
echo "No changes were made to /etc/sysctl.conf."
